HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetRefunds

Contains the different functions to run the operation getRefunds

  • 5 types
  • 4 values
valuegetRefunds
  1. :: MonadHTTP m
  2. => GetRefundsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetRefundsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/refunds

<p>Returns a list of all refunds you’ve previously created. The refunds are returned in sorted order, with the most recent refunds appearing first. For convenience, the 10 most recent refunds are always available by default on the charge object.</p>

datadata GetRefundsParameters
#

Defines the object schema located at paths./v1/refunds.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/refunds.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/refunds.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON
datadata GetRefundsResponse
#

Represents a response of the operation getRefunds.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetRefundsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/refunds.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON